> ## Documentation Index
> Fetch the complete documentation index at: https://developers.trycents.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Nearest store

> Gets information about the nearest store based on the order delivery address



## OpenAPI

````yaml GET /stores/available
openapi: 3.1.0
info:
  title: OpenAPI Cents
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api3.trycents.com/api/v1/common
security: []
paths:
  /stores/available:
    get:
      description: >-
        Gets information about the nearest store based on the order delivery
        address
      parameters:
        - $ref: '#/components/parameters/OriginHeader'
        - name: businessId
          in: query
          description: ID of business
          required: true
          schema:
            type: integer
            format: int64
        - name: googlePlacesId
          in: query
          description: ID of place from google format
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Store details
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: integer
                  businessId:
                    type: integer
                  name:
                    type: string
                  address:
                    type: string
                  state:
                    type: string
                  city:
                    type: string
                  zipCode:
                    type: integer
                  phoneNumber:
                    type: string
                  location:
                    type: object
                    properties:
                      lat:
                        type: integer
                      lng:
                        type: integer
                example:
                  id: 98
                  businessId: 3
                  name: ZDD store ES
                  address: 40 Wooster St
                  state: NY
                  city: New York
                  zipCode: '10013'
                  phoneNumber: '709094080'
                  location:
                    lat: 37.7741914
                    lng: -122.4931805
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
                example:
                  error: Invalid token.
        '404':
          description: Available store not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
                example:
                  error: Available store not found
      security:
        - bearerAuth: []
components:
  parameters:
    OriginHeader:
      name: fwdorigin
      in: header
      required: true
      schema:
        type: string
        default: DISPATCH_API
        enum:
          - DISPATCH_API
  schemas:
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````